﻿Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.DesktopEdition
Imports System.Collections.ObjectModel
Public Class CustomEditOverlay
   Inherits EditInteractiveOverlay
   Public EditableLayer As ShapeFileFeatureLayer
   Public Map As WinformsMap
   Private moEditFeature As Feature
   Protected Overrides Sub EndEditingCore(targetPointShape As ThinkGeo.MapSuite.Core.PointShape)
      MyBase.EndEditingCore(targetPointShape)
      With EditableLayer
         If Not .EditTools.IsInTransaction Then
            .EditTools.BeginTransaction()
            .EditTools.IsTransactionLive = True
         End If

         Dim oColFeature As Feature = EditableLayer.QueryTools.GetFeatureById(moEditFeature.Id, ReturningColumnsType.AllColumns)
         Dim oEditFeature As New Feature(moEditFeature.GetShape, oColFeature.ColumnValues)


         .EditTools.Update(oEditFeature)
         Map.Refresh()
         moEditFeature = Nothing
      End With
   End Sub
   Protected Overrides Sub OnVertexMoved(e As ThinkGeo.MapSuite.DesktopEdition.VertexMovedEditInteractiveOverlayEventArgs)
      moEditFeature = e.AffectedVertexFeature
      MyBase.OnVertexMoved(e)
   End Sub

End Class
